org.apache.tinkerpop.gremlin.server.auth

## Class JaasKrbUtil

- java.lang.Object
- - org.apache.tinkerpop.gremlin.server.auth.JaasKrbUtil

-     public final class JaasKrbUtil
      extends Object

  JAAS utilities for Kerberos login. Except for the package name and this comment, this file is a literal copy from package org.apache.kerby.kerberos.kerb.client, see: https://github.com/apache/directory-kerby/blob/kerby-all-1.0.0-RC2/kerby-kerb/kerb-simplekdc/ src/main/java/org/apache/kerby/kerberos/kerb/client/JaasKrbUtil.java

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JaasKrbUtil.KrbCallbackHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `ENABLE_DEBUG`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Subject` | `loginUsingKeytab(String principal, File keytabFile)`
    `static Subject` | `loginUsingPassword(String principal, String password)`
    `static Subject` | `loginUsingTicketCache(String principal, File cacheFile)`
    `static Configuration` | `useKeytab(String principal, File keytabFile)`
    `static Configuration` | `usePassword(String principal)`
    `static Configuration` | `useTicketCache(String principal, File credentialFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENABLE_DEBUG

          public static final boolean ENABLE_DEBUG

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### loginUsingPassword

          public static Subject loginUsingPassword(String principal,
                                                   String password)
                                            throws LoginException

      Throws:
        `LoginException`

    - #### loginUsingTicketCache

          public static Subject loginUsingTicketCache(String principal,
                                                      File cacheFile)
                                               throws LoginException

      Throws:
        `LoginException`

    - #### loginUsingKeytab

          public static Subject loginUsingKeytab(String principal,
                                                 File keytabFile)
                                          throws LoginException

      Throws:
        `LoginException`

    - #### usePassword

          public static Configuration usePassword(String principal)

    - #### useTicketCache

          public static Configuration useTicketCache(String principal,
                                                     File credentialFile)

    - #### useKeytab

          public static Configuration useKeytab(String principal,
                                                File keytabFile)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.